# 介绍

欢迎使用 言灵(effective language) 本工具用于在 `龙`(Loong) 架构和其他常用主机架构上的Linux系统中自动配置一个便捷好用的命令行
使用zsh替代老旧的bash, 使用一些现代化的工具替代老旧工具集, 并且将部分命令添加汉化别名, 避免长时间未使用时遗忘命令

```bash
# 言灵安装命令, 请在命令行中执行如下命令
wget -q --show-progress https://gitea.whlug.cn/xunmi/x/raw/start.sh && bash start.sh
```

## 功能实现

* [x] 使用zsh替代老旧的bash
* [x] 使用现代化工具集代替老旧工具
* [ ] 根据不同的系统添加汉化别名(主要是包管理器那块需要区别)
* [ ] 实现开发者常用工具的自动安装(如Golang、Rust、Python、Java、Nodejs等编程语言的安装和JetBrains系列软件的安装维护)
* [ ] 实现命令行回收站功能(将rm命令重命名为mv, 并将其自动移动到某个指定目录)
    备注: 计划使用go写一个回收站程序, 将rm的参数实现无缝衔接, 并且可以自动检测回收站内的文件超过预设时间后自动删除

## 参与开发与反馈

* 反馈说明: 欢迎存在志同道合的朋友一起协作开发, 项目受众为群体为母语或常用语言为中文的群体
            同样项目当前主要维护人员也已中文作为日常交流语言
            顾反馈工单或问题时麻烦尽可能使用中文编写
* 反馈模版
    > * 主机: `6.6.10-zen1-1-zen #1 ZEN SMP PREEMPT_DYNAMIC Fri, 05 Jan 2024 16:20:18 +0000 x86_64`
    > * 时间: `2024年2月3日22:30:03`
    > * 版本: `v0.0.1`
    > * 报错: `ERROR: ***************`
    > * 截图: 报错前后的内容都需要截图不要只截错误, 分析错误需要联系上下文!
    > 
    > 备注: 主机信息可以使用 `uname -mvr`命令查看, 时间为发生问题的时间(大概就可以)

* 开发说明: 本项目允许使用使用中文变量名 (受限于sh\bash本身不支持使用中文, 不要在bash中使用中文)
            使用中文的目的为增加本项目开发人员的代码可读性, 非强制要求
    > * 多词组合命名规范
    >   * 多词请用中文文字中的数字1`一`连接, 使用传统下划线或者减号连接会导致vim跳转出现异常
    >   * 中文变量名推荐格式: `动词一名称`, 比如`打开一文件`、`检测一内存`
    >   * 主要是将常用词语放在前面方便分类, 如果名词+名称组合, 可以参考如下实例: `系统一类型` `系统一版本` `系统一发行版` `系统一发行版一名称`, 根据名词使用频率排序
    >   * 英文变量名使用小驼峰命名
    > * git提交时务必编写明确的提交说明,提交时请携带类型, 类型主要分类如下: 
    >   * `[新增]`: 添加新功能, 新接口
    >   * `[更新]`: 更新依赖模块, 或者更新优化代码, 并未添加新功能
    >   * `[文档]`: 跟新文本类信息, 为修改项目代码(包含项目内的注释, print输出等)
    >   * `[混合]`: 同时包含上述多种分类的更新提交, 此类提交需要具体描写扩展描述

## 备注
`言灵` 是我在中学时期很喜欢的小说 《龙族》 中人龙混血后代所具有的特殊能力的一种统称, 同时又满足了本项目想在命令行中让我们自己的母语也能管用的功能


